CVC4::UninterpretedConstant Class Reference

`#include <uninterpreted_constant.h>`

## Public Member Functions

| UninterpretedConstant (Type type, Integer index) throw (IllegalArgumentException)
| ~UninterpretedConstant () throw ()
Type | getType () const throw ()
const Integer & | getIndex () const throw ()
bool | operator== (const UninterpretedConstant &uc) const throw ()
bool | operator!= (const UninterpretedConstant &uc) const throw ()
bool | operator< (const UninterpretedConstant &uc) const throw ()
bool | operator<= (const UninterpretedConstant &uc) const throw ()
bool | operator> (const UninterpretedConstant &uc) const throw ()
bool | operator>= (const UninterpretedConstant &uc) const throw ()

## Detailed Description

Definition at line 26 of file uninterpreted_constant.h.

## Constructor & Destructor Documentation

## UninterpretedConstant()

CVC4::UninterpretedConstant::UninterpretedConstant | ( | Type | type,
|  | Integer | index )
throw | ( | IllegalArgumentException ) |  |  |

inline

Definition at line 32 of file uninterpreted_constant.h.

References CVC4::CheckArgument().

## ~UninterpretedConstant()

CVC4::UninterpretedConstant::~UninterpretedConstant | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 39 of file uninterpreted_constant.h.

## Member Function Documentation

## getIndex()

const Integer & CVC4::UninterpretedConstant::getIndex | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 45 of file uninterpreted_constant.h.

Referenced by CVC4::UninterpretedConstantHashFunction::operator()().

## getType()

Type CVC4::UninterpretedConstant::getType | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 42 of file uninterpreted_constant.h.

Referenced by CVC4::UninterpretedConstantHashFunction::operator()().

## operator!=()

bool CVC4::UninterpretedConstant::operator!= | ( | const UninterpretedConstant & | uc | ) | const
throw | ( | ) |  |  |

inline

Definition at line 52 of file uninterpreted_constant.h.

## operator<()

bool CVC4::UninterpretedConstant::operator< | ( | const UninterpretedConstant & | uc | ) | const
throw | ( | ) |  |  |

inline

Definition at line 56 of file uninterpreted_constant.h.

## operator<=()

bool CVC4::UninterpretedConstant::operator<= | ( | const UninterpretedConstant & | uc | ) | const
throw | ( | ) |  |  |

inline

Definition at line 60 of file uninterpreted_constant.h.

## operator==()

bool CVC4::UninterpretedConstant::operator== | ( | const UninterpretedConstant & | uc | ) | const
throw | ( | ) |  |  |

inline

Definition at line 49 of file uninterpreted_constant.h.

## operator>()

bool CVC4::UninterpretedConstant::operator> | ( | const UninterpretedConstant & | uc | ) | const
throw | ( | ) |  |  |

inline

Definition at line 64 of file uninterpreted_constant.h.

## operator>=()

bool CVC4::UninterpretedConstant::operator>= | ( | const UninterpretedConstant & | uc | ) | const
throw | ( | ) |  |  |

inline

Definition at line 67 of file uninterpreted_constant.h.

The documentation for this class was generated from the following file:

- src/util/uninterpreted_constant.h